# == Schema Information
#
# Table name: photos
#
#  id            :integer          not null, primary key
#  name          :string(150)
#  url           :string
#  description   :text             default(""), not null
#  license       :integer          default("copyright")
#  created_at    :datetime         not null
#  updated_at    :datetime         not null
#  user_id :integer
#  visibility    :integer
#

class Photo < ApplicationRecord
	enum license: [:copyright, :copyleft, :creative_commons]
	enum visibility: [:pub, :pri]

	validates :name, :url, :user_id, presence: true
	validates :license, inclusion: { in: Photo.licenses }
	validates :visibility, inclusion: { in: Photo.visibilities }

	validates_with PhotoValidator

	belongs_to :user

	
	
end
